Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util
Class MRHAdapter

    java.lang.Object
      rice.p2p.util.MRHAdapter

All Implemented Interfaces:
  MessageRequestHandle<NodeHandle,Message>, Cancellable

    public class MRHAdapter

extends java.lang.Object
implements MessageRequestHandle<NodeHandle,Message>

Addapts a RawMessage to a normal Message

Author:
  Jeff Hoye

Constructor Summary
`MRHAdapter()`

Method Summary
`boolean` | `cancel()`
`NodeHandle` | `getIdentifier()`
`Message` | `getMessage()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getOptions()`
`void` | `setInternal(MessageRequestHandle<NodeHandle,RawMessage> name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MRHAdapter

    public MRHAdapter()

Method Detail

### setInternal

    public void setInternal(MessageRequestHandle<NodeHandle,RawMessage> name)

### getIdentifier

    public NodeHandle getIdentifier()

  Specified by:
    `getIdentifier` in interface `MessageRequestHandle<NodeHandle,Message>`

### getMessage

    public Message getMessage()

  Specified by:
    `getMessage` in interface `MessageRequestHandle<NodeHandle,Message>`

### getOptions

    public java.util.Map<java.lang.String,java.lang.Object> getOptions()

  Specified by:
    `getOptions` in interface `MessageRequestHandle<NodeHandle,Message>`

### cancel

    public boolean cancel()

  Specified by:
    `cancel` in interface `Cancellable`
  Returns:
    true if it was cancelled, false if it was already complete, or cancelled.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.